Activate a published document version
Marks the specified published version as active and updates the document's status to published/valid. All other versions are marked as inactive.
Marks the specified published version as active and updates the document's status to published/valid. All other versions are marked as inactive.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Document ID
Format
uuidversionId*string
Version ID to activate
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/documents/{id}/versions/{versionId}/activate" \\ -H "Authorization: Bearer $ACCESS_TOKEN" \\ -H "Content-Type: application/json"{
"success": true,
"data": {
"version": {
"id": "c1d915ec-b9d2-4065-92c7-d0fe92ad32be",
"key": "draft_1714502400000",
"name": "Q2 Refresh",
"status": "published",
"is_active": true,
"date_created": "2025-04-30T09:30:00Z",
"date_updated": "2025-05-02T11:05:00Z",
"modified_fields": [
"description",
"file"
]
}
}
}{
"type": "string",
"code": "string",
"message": "string",
"doc_url": "string"
}Empty
{
"type": "string",
"code": "string",
"message": "string",
"doc_url": "string"
}{
"type": "string",
"code": "string",
"message": "string",
"doc_url": "string"
}Empty
How is this guide?